Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class Vector

    java.lang.Object
      java.util.Vector

Direct Known Subclasses:
  Queue, Stack

    public class Vector

extends Object

A dynamic array.

Field Summary
`protected int` | `capacityIncrement`
`protected int` | `elementCount`
`protected Object[]` | `elementData`

Constructor Summary
`Vector()`
`Vector(int initialCapacity)`
`Vector(int initialCapacity, int capacityIncrement)`

Method Summary
`void` | `addElement(Object aObj)`
`int` | `capacity()`
`void` | `clear()`
`Object` | `elementAt(int aIndex)`
`void` | `ensureCapacity(int minCapacity)`
`boolean` | `equals(Object aObj)`
`int` | `indexOf(Object aObj)`
`int` | `indexOf(Object aObj, int aIndex)`
`void` | `insertElementAt(Object aObj, int aIndex)`
`boolean` | `isEmpty()`
`int` | `lastIndexOf(Object anObject)` delivers the index of the last occurrence of the object
`int` | `lastIndexOf(Object anObject, int anIndex)` delivers the index of the last occurrence of the object starting from some index
`void` | `removeAllElements()`
`boolean` | `removeElement(Object aObj)`
`void` | `removeElementAt(int aIndex)`
`void` | `setElementAt(Object aObj, int aIndex)`
`void` | `setSize(int aSize)`
`int` | `size()`
`Object[]` | `toArray()`
`void` | `trimToSize()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### elementData

    protected Object[] elementData

### capacityIncrement

    protected int capacityIncrement

### elementCount

    protected int elementCount

Constructor Detail

### Vector

    public Vector(int initialCapacity,
                  int capacityIncrement)

### Vector

    public Vector(int initialCapacity)

### Vector

    public Vector()

Method Detail

### addElement

    public void addElement(Object aObj)

### capacity

    public int capacity()

### clear

    public void clear()

### elementAt

    public Object elementAt(int aIndex)

### ensureCapacity

    public void ensureCapacity(int minCapacity)

### equals

    public boolean equals(Object aObj)

  Overrides:
    `equals` in class `Object`

### indexOf

    public int indexOf(Object aObj)

### indexOf

    public int indexOf(Object aObj,
                       int aIndex)

### insertElementAt

    public void insertElementAt(Object aObj,
                                int aIndex)

### isEmpty

    public boolean isEmpty()

### lastIndexOf

    public int lastIndexOf(Object anObject)

  delivers the index of the last occurrence of the object

  Parameters:
    `anObject` - the object
  Returns:
    the index of the last occurrence of the object or -1, if object is not found

### lastIndexOf

    public int lastIndexOf(Object anObject,
                           int anIndex)
                    throws ArrayIndexOutOfBoundsException

  delivers the index of the last occurrence of the object starting from some index

  Parameters:
    `anObject` - the object
    `anIndex` - the starting index
  Returns:
    the index of the last occurrence of the object or -1, if object is not found
  Throws:
    `ArrayIndexOutOfBoundsException`

### removeAllElements

    public void removeAllElements()

### removeElement

    public boolean removeElement(Object aObj)

### removeElementAt

    public void removeElementAt(int aIndex)

### setElementAt

    public void setElementAt(Object aObj,
                             int aIndex)

### setSize

    public void setSize(int aSize)

### size

    public int size()

### toArray

    public Object[] toArray()

### trimToSize

    public void trimToSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD